// pages/noticeDetail/noticeDetail.js
const utils = require('../../utils/util.js')
Page({

  /**
   * 页面的初始数据
   */
  data: {
    result: '', //总信息
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getDetail(options.msgId)
  },

  //公告详情
  getDetail(msgId) {
    let params = {
      msgId
    }
    utils.axios({
      method: 'get',
      url: '/auth/user/msg/findMsgDetail',
      data: params,
      sendBefore() {
        wx.showLoading({
          title: '加载中...'
        })
      },
      complete() {
        wx.hideLoading()
      },
      success: res => {
        let result = res.data
        wx.setNavigationBarTitle({
          title: result.msgTitle
        })
        if (result.msgContent) {
          result.msgContent = result.msgContent.replace(/<img/gi, '<img style="max-width:100%;height:auto;display:block"')
        }
        this.setData({
          result
        })
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    return {
      title: '诺信云',
      path: '/pages/index/index'
    }
  }
})